[
{
    blockid=list;
    help=logfiles_list_list;
    custom=com.netscape.management.msgserv.LogfileListControl;
    localvar={
	/* translate this block */
	.dialogheader.text="\ub85c\uadf8 \ubcf4\uae30 \ubc0f \ubd84\uc11d";
	.detail.border=[titled,"\ub85c\uadf8 \ud30c\uc77c \uc815\ubcf4"];
	.filetype.text="\ub85c\uadf8 \ud30c\uc77c \uc720\ud615:";
	.filetype.value=" ";
	.size.text="\ub85c\uadf8 \ud30c\uc77c \ud06c\uae30(\ubc14\uc774\ud2b8):";
	.modtime.text="\ucd5c\uc885 \uc218\uc815\uc77c:";
	.count.text="\uc904 \uc218:";
	.viewlog.text="\uc120\ud0dd\ud55c \ub85c\uadf8 \ubcf4\uae30...";
	.col1.header="\ub85c\uadf8 \ud30c\uc77c \uc774\ub984";
	.col2.header="\ub85c\uadf8";
    };
    content=[
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$.detail.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    text=$.filetype.text;
			    wrap=$g.label.size1;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=label;
			    text=$.filetype.value;
			    wrap=$g.label.size2;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    text=$.size.text;
			    wrap=$g.label.size1;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=label;
			    text=$.size.value;
			    wrap=$g.label.size2;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    text=$.modtime.text;
			    wrap=$g.label.size1;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=label;
			    text=$.modtime.value;
			    wrap=$g.label.size2;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	    size=$g.comp.space.diff;
	},
	{
	    ctrl=table;
	    id=logfiletable;
	    showadd=false;
	    showdelete=false;
	    showedit=true;
	    edittext=$.viewlog.text;
	    buttonsat=east;
	    columns=[
		{
		    header=$.col1.header;
		}
	    ];
	}
    ]
},
{
    blockid=filter;
    help=logfiles_list_filter;
    localvar={
	.filterheader.text="\ub85c\uadf8 \ud544\ud130";
	.filter.border=[titled,"\ud544\ud130"];
	.facility.text="\uae30\ub2a5:";
	.facility.labels=["\ubaa8\ub450","\uc77c\ubc18","LDAP","\ub124\ud2b8\uc6cc\ud06c","\uacc4\uc815","\ud504\ub85c\ud1a0\ucf5c","\uc0c1\ud0dc","\uc800\uc7a5\uc18c"];
	.level.text="\uc138\ubd80 \uc815\ubcf4 \uc218\uc900:";
	.level.labels=["\uc911\ub300\ud55c","\uc624\ub958","\uacbd\uace0","\uc54c\ub9bc","\uc815\ubcf4","\ub514\ubc84\uadf8"];
	.regex.text="\ud328\ud134:";
	.abstime.header="\uae30\uac04 \uc9c0\uc815";
	.absfrom.text="\uac1c\uc2dc \uc2dc\uac04:";
	.absfrom.value="-";
	.absto.text="\uc885\ub8cc \uc2dc\uac04:";
	.absto.value="-";
	.pasttime.text="\uacfc\uac70:";
	.pasttime.labels=["\uc77c"];
	.update.text="\uc5c5\ub370\uc774\ud2b8";
    };
    content=[
	{
	    ctrl=pane;
	    border=$.filter.border;
	    layout=[gridbag];
	    content=[
		{
		    ctrl=togglepane;
		    layout=[gridbag];
		    style=radio;
		    id=absflag;
		    text=$.abstime.header;
		    showmodified=false;
		    constraint={
			gridx=0;
			gridy=0;
			insets=[3,3,3,6];
			weightx=1.0;
			gridheight=3;
			anchor=west;
			fill=horizontal;
		    };
		    content=[
			{
			    ctrl=label;
			    text=$.absfrom.text;
			    constraint={
				gridx=0;
				gridy=0;
				insets=[3,3,3,3];
				anchor=west;
			    }
			},
			{
			    ctrl=com.netscape.management.msgserv.util.DATETIMEeditor;
			    help=logfiles_list_filter_absfrom;
			    id=absfromctrl;
			    val=$.absfrom.value;
			    constraint={
				gridx=1;
				gridy=0;
				weightx=1.0;
				insets=[3,3,3,3];
				anchor=west;
				fill=horizontal;
			    }
			},
			{
			    ctrl=label;
			    text=$.absto.text;
			    constraint={
				gridx=0;
				gridy=1;
				insets=[3,3,3,3];
				anchor=west;
			    }
			},
			{
			    ctrl=com.netscape.management.msgserv.util.DATETIMEeditor;
			    help=logfiles_list_filter_absto;
			    id=abstoctrl;
			    val=$.absto.value;
			    constraint={
				gridx=1;
				gridy=1;
				weightx=1.0;
				insets=[3,3,3,3];
				anchor=west;
				fill=horizontal;
			    }
			}
		    ]
		},
		{
		    ctrl=label;
		    text=$.facility.text;
		    wrap=$g.label.size0;
		    constraint={
			gridx=1;
			gridy=0;
			weightx=1;
			fill=h;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=choice;
		    id=facilityctrl;
		    labels=$.facility.labels;
		    items=["",General,LDAP,Network,Account,Protocol,Stats,Store];
		    val=$.facility.value;
		    constraint={
			gridx=2;
			gridy=0;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=label;
		    text=$.level.text;
		    wrap=$g.label.size0;
		    constraint={
			gridx=1;
			gridy=1;
			weightx=1;
			fill=h;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=choice;
		    id=levelctrl;
		    labels=$.level.labels;
		    items=["Critical","Critical Error","Critical Error Warning","Critical Error Warning Notice","Critical Error Warning Notice Information",""];
		    val=$.level.value;
		    constraint={
			gridx=2;
			gridy=1;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=label;
		    text=$.regex.text;
		    wrap=$g.label.size0;
		    constraint={
			gridx=1;
			gridy=2;
			weightx=1;
			fill=h;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=text;
		    id=regexctrl;
		    val=$.regex.value;
		    constraint={
			gridx=2;
			gridy=2;
			weightx=9;
			anchor=west;
			fill=horizontal;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=togglepane;
		    style=radio;
		    id=pastflag;
		    text=$.pasttime.text;
		    inline=true;
		    showmodified=false;
		    constraint={
			gridx=0;
			gridy=3;
			anchor=west;
			insets=$g.insets.comp
		    };
		    content=[
			{
			    ctrl=number;
			    id=pastctrl;
			    items=[day];
			    labels=$.pasttime.labels;
			    val=$.pasttime.value;
			}
		    ]
		},
		{
		    ctrl=button;
		    text=$.update.text;
		    cmd=.log.update;
		    constraint={
			gridx=2;
			gridy=3;
			anchor=east;
			insets=$g.insets.comp
		    }
		}
	    ]
	}
    ]
},
{
    blockid=viewer;
    help=logfiles_list_viewer;
    localvar={
	.viewerheader.text="\ub85c\uadf8 \ubdf0\uc5b4";
	.numlines.text="\ucd1d \uc904 \uc218:";
	.goto.text="\uc774\ub3d9";
	.logentry.text="\ub85c\uadf8 \ud56d\ubaa9";
	.filter.text="\ud544\ud130...";
    };
    content=[
/*
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.numlines.text;
		    wrap=$g.label.size1;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    id=numlineslabel;
		    wrap=$g.label.size1;
		    val=0;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=button;
		    text=$.goto.text;
		    cmd=.log.goto;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=number;
		    id=goto;
		    val=$.goto.value;
		    aligny=0.5;
		},
		{
		    ctrl=hglue;
		}
	    ]
	},
*/
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=contenttable;
	    showadd=false;
	    showdelete=false;
	    visiblerows=8;
	    columns=[
		{
		    header=$.logentry.text;
		    width=480;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=textarea;
	    id=detailtext;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=hglue;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=button;
		    text=$g.close.text;
		    cmd=.log.done;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=button;
		    text=$g.help.text;
		    cmd=.log.help;
		},
		{
		    ctrl=rigid;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	}
    ]
}
]
